#ifndef WMMNETWORK_H
#define WMMNETWORK_H

#include "sysdef.h"

#define ORDER_NETWORK_WIFI_NAME 0X0101
#define ORDER_NETWORK_WIFI_PWD 0X0102
#define ORDER_NETWORK_SERVICE_IP 0X0103
#define ORDER_NETWORK_SERVICE_PORT 0X0104
#define ORDER_NETWORK_SWITCH 0X0105 // 网管中心开关，0：关闭，1：打开

// 网管参数结构
typedef struct
{
    uint8 abyApName[20];     // WiFi接入点名称
    uint8 abyApPassword[20]; // WiFi接入点密码
    uint8 abyMonitorIP[32];  // 网管中心IP或者域名
    uint8 abyMonitorPort[2]; // 网管中心端口
    uint8 bySwitch;          // 网管中心开关
    uint8 abyReserve[21];    // 4字节对齐考虑
} SAVE_NETWORK_T;

/*********************************************************
函数定义声明
**********************************************************/
void wmm_network_init();
void wmm_network_set_param_with_default_data();
void wmm_network_set_param_with_flash_data(uint8 *pbyData);
uint8 wmm_network_query(uint16 wCommand, uint8 *pbyLtv);
uint8 wmm_network_config(uint16 wCommand, uint8 *pbyLtv);

SAVE_NETWORK_T *wmm_network_query_param();
uint8 wmm_network_get_omc_switch_flag();

#endif
